Skip to content
qibdo qibdo
v1
API version
  • v1
Theme
Book a demo

Delete Log Sink

DELETE
/observability/v1/workspaces/{workspace}/engines/{engine}/log-sinks/{id}
curl --request DELETE \
--url https://example.com/observability/v1/workspaces/example/engines/example/log-sinks/example

Deletes a log sink. A specific provider is required.

workspace
required
string

The workspace the log sink belongs to.

engine
required
string

The provider: qibdo, aws, gcp, or azure (a specific provider is required for delete).

id
required
string

The unique identifier of the log sink to delete.

OK

Media type application/json

ObservabilityOperation

Tracks the synchronous result of an observability config-plane command (retention, sink, or ingestion mutation). Engine-neutral — operations carry no engine axis.

object
id

The unique operation identifier.

stringOutput only
resource_id

The id of the affected resource.

stringOutput only
resource_type

The type of resource the operation acted upon (URN).

stringOutput only
operation_type

The operation type (CREATE, UPDATE, DELETE).

string format: enum Output only
Allowed values: OBSERVABILITY_OPERATION_TYPE_UNSPECIFIED OBSERVABILITY_OPERATION_TYPE_CREATE OBSERVABILITY_OPERATION_TYPE_UPDATE OBSERVABILITY_OPERATION_TYPE_DELETE
status

The operation status (DONE for synchronous config mutations).

string format: enum Output only
Allowed values: OBSERVABILITY_OPERATION_STATUS_UNSPECIFIED OBSERVABILITY_OPERATION_STATUS_PENDING OBSERVABILITY_OPERATION_STATUS_RUNNING OBSERVABILITY_OPERATION_STATUS_DONE OBSERVABILITY_OPERATION_STATUS_ERROR
insert_time

When the operation was recorded.

string format: date-time Output only
start_time

When execution started.

string format: date-time Output only
end_time

When execution completed.

string format: date-time Output only
progress

Progress percentage (0–100).

integer format: int32 Output only
Example
{
"operation_type": "OBSERVABILITY_OPERATION_TYPE_UNSPECIFIED",
"status": "OBSERVABILITY_OPERATION_STATUS_UNSPECIFIED"
}

Default error response

Media type application/json

The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.

object
code

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

integer format: int32
message

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

string
details

A list of messages that carry the error details. There is a common set of message types for APIs to use.

Array<object>

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

object
@type

The type of the serialized message.

string
key
additional properties
any
Example generated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}